Go to the latest version of this document.

# ``twisted`.`words`.`im`.`basesupport`.`AbstractAccount``

class documentation

`class AbstractAccount(styles.Versioned): (source)`

Known subclasses: `twisted.words.im.ircsupport.IRCAccount`, `twisted.words.im.pbsupport.PBAccount`

Constructor: `AbstractAccount(accountName, autoLogin, username, password, ...)`

View In Hierarchy

Base class for Accounts.

I am the start of an implementation of `IAccount`, I implement `isOnline` and most of `logOn`, though you'll need to implement `_startLogOn` in a subclass.

Method | `__getstate__` | Get state, adding a version number to it on its way out.
Method | `__init__` | Undocumented
Method | `__repr__` | Undocumented
Method | `getGroup` | Group factory.
Method | `getPerson` | Person factory.
Method | `isOnline` | Undocumented
Method | `logOn` | Log on to this account.
Method | `upgrateToVersion2` | Undocumented
Class Variable | `persistanceVersion` | Undocumented
Instance Variable | `accountName` | No summary
Instance Variable | `autoLogin` | No summary
Instance Variable | `client` | Undocumented
Instance Variable | `host` | No summary
Instance Variable | `password` | No summary
Instance Variable | `port` | No summary
Instance Variable | `username` | No summary
Method | `_cb_logOn` | Undocumented
Method | `_clientLost` | Undocumented
Method | `_loginFailed` | Errorback for `logOn`.
Method | `_startLogOn` | Start the sign on process.
Class Variable | `_groupFactory` | A Callable that will return a `IGroup` appropriate for this account type.
Class Variable | `_personFactory` | A Callable that will return a `IPerson` appropriate for this account type.
Instance Variable | `_groups` | Undocumented
Instance Variable | `_isConnecting` | Whether I am in the process of establishing a connection to the server.
Instance Variable | `_isOnline` | Whether I am currently on-line with the server.
Instance Variable | `_persons` | Undocumented

Inherited from `Versioned`:

Method | `__setstate__` | Undocumented
Method | `versionUpgrade` | (internal) Do a version upgrade.
Class Variable | `persistenceForgets` | Undocumented
Class Variable | `persistenceVersion` | Undocumented
Instance Variable | `__dict__` | Undocumented

def __getstate__(self): (source)
overrides `twisted.persisted.styles.Versioned.__getstate__`

Get state, adding a version number to it on its way out.

def __init__(self, accountName, autoLogin, username, password, host, port): (source)
overridden in `twisted.words.im.ircsupport.IRCAccount`, `twisted.words.im.pbsupport.PBAccount`

Undocumented

def __repr__(self) -> `str`: (source)

Undocumented

def getGroup(self, name): (source)

Group factory.

Parameters
name:string | Name of the group on this account.

def getPerson(self, name): (source)

Person factory.

Parameters
name:string | Name of the person on this account.

def isOnline(self): (source)

Undocumented

def logOn(self, chatui): (source)
overridden in `twisted.words.im.pbsupport.PBAccount`

Log on to this account.

Takes care to not start a connection if a connection is already in progress. You will need to implement `_startLogOn` for this to work, and it would be a good idea to override `_loginFailed` too.

Returns
Deferred `interfaces.IClient` | Undocumented

def upgrateToVersion2(self): (source)

Undocumented

persistanceVersion: `int` = (source)

Undocumented

accountName = (source)
autoLogin = (source)
client = (source)

Undocumented

host = (source)
password = (source)
port = (source)
username = (source)
def _cb_logOn(self, client): (source)

Undocumented

def _clientLost(self, client, reason): (source)

Undocumented

def _loginFailed(self, reason): (source)

Errorback for `logOn`.

Parameters
reason:Failure | Undocumented

Returns
Failure | reason, for further processing in the callback chain.

def _startLogOn(self, chatui): (source)
overridden in `twisted.words.im.ircsupport.IRCAccount`, `twisted.words.im.pbsupport.PBAccount`

Start the sign on process.

Factored out of `logOn`.

Returns
Deferred `interfaces.IClient` | Undocumented

_groupFactory = (source)

A Callable that will return a `IGroup` appropriate for this account type.

_personFactory = (source)

A Callable that will return a `IPerson` appropriate for this account type.

_groups: `dict` = (source)

Undocumented

_isConnecting: boolean = (source)
overridden in `twisted.words.im.pbsupport.PBAccount`

Whether I am in the process of establishing a connection to the server.

_isOnline: boolean = (source)

Whether I am currently on-line with the server.

_persons: `dict` = (source)

Undocumented